<!DOCTYPE html>
<html lang="en"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <div class="col-sm-3">
                <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
                <a class="navbar-brand" sec:authorize="hasRole('ADMIN')" th:href="@{/users}">Users</a>
            </div>
            <input class="form-control col-sm-5" type="search" placeholder="Search topic, course & teachers" aria-label="Search" style="display:inline;">
            <div class="col-sm-4 text-right" sec:authorize="isAnonymous()">
                <a class="btn btn-link" th:href="@{/login}">Login</a>
                <a class="btn btn-primary" th:href="@{/register}">JOIN NOW</a>
            </div>
            <div class="col-sm-4" sec:authorize="isAuthenticated()">
                <div class="row float-right">
                    <a class="navbar-brand" th:href="@{'/users/' + ${user.id}}">Profile</a>
                    <form th:action="@{/logout}" method="post">
                        <input class="btn btn-primary" type="submit" value="Logout" />
                    </form>
                </div>
            </div>
        </nav>
        <div class="container">
            <div class="row mt-3">
                <div class="col-sm-8">
                    <p class="text-danger" th:if="${editUserExceptionMessage}" th:text="${editUserExceptionMessage}"></p>
                    <p class="text-success" th:if="${updatedUserMessage}" th:text="${updatedUserMessage}"></p>

                    <p class="text-danger" th:if="${editPasswordExceptionMessage}" th:text="${editPasswordExceptionMessage}"></p>
                    <p class="text-success" th:if="${editPasswordMessage}" th:text="${editPasswordMessage}"></p>

                    <p class="text-danger" th:if="${addRatingExceptionMessage}" th:text="${addRatingExceptionMessage}"></p>
                    <p class="text-success" th:if="${addRatingMessage}" th:text="${addRatingMessage}"></p>

                    <p class="text-danger" th:if="${uploadExceptionMessage}" th:text="${uploadExceptionMessage}"></p>
                    <p class="text-success" th:if="${uploadSuccessfulMessage}" th:text="${uploadSuccessfulMessage}"></p>
                    <h2>Homepage</h2>
                    <p>Welcome to Virtual Teacher. Here you can enroll to courses, watch lectures and complete assignments. We
                        hope you like your stay with us!
                    </p>
                </div>
                <div class="col-sm-4 float-center">
                    <img th:if="${user.picture != null}" th:src="${user.picture}" sec:authorize="isAuthenticated()" class="rounded img-fluid" style="max-height: 300px">
                </div>
            </div>
            <div class="mt-3" th:each="topic : ${topics}">
                <h2 th:text="${topic.topic}"></h2>
                <div class="row">
                    <div th:if="${!course.lectures.empty}" class="col-sm-3 float-center" th:each="course : ${topic.courses}">
                        <a th:href="@{'/courses/' + ${course.id}}"><img th:src="${course.imagePath}" class="rounded img-fluid" style="height: 150px;"></a>
                        <div class="row">
                            <p class="col-sm-8" th:text="${course.title}"></p>
                            <div class="col-sm-4" th:if="${course.rating != -1}">
                                <span class="fa fa-star checked"></span>
                                <span class="badge badge-light" th:text="${course.rating}"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>